Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Fetching contributors…

Cannot retrieve contributors at this time

107 lines (84 sloc) 3.205 kb
0.8.0:
- Removed deprecated API versions v201109, v201109_1.
- Removed support for deprecated Sandbox, see http://goo.gl/Plu3o
0.7.2:
- Fixed issue #87 specific to ruby1.8.
0.7.1:
- Support and examples for v201209.
0.7.0:
- MapEntry structures are returned as Hashes now (#26).
- Require google-ads-common 0.8.0 or later from now on.
0.6.3:
- Support and examples for v201206.
0.6.2:
- Require google-ads-common 0.7.3 or later from now on.
- Support for OAuth2.0 authentication method.
0.6.1:
- Require google-ads-common 0.7.1 or later from now on.
- Updated User-Agent to a single standard.
0.6.0:
- Added support for API v201109_1.
- Require google-ads-common 0.7.0 or later from now on.
- ReportUtil now logs request details on DEBUG level.
- Added support for v201109 BudgetOrderService.
- Removed outdated extensions.
0.5.3:
- Fixed issue #70 (stricter client id validation).
- Now require Savon-0.9.9 (fixes Content-Length bug).
0.5.2:
- Rework on examples.
- Tests for all examples.
0.5.1:
- Require google-ads-common 0.6.3 or later from now on.
- Support for CAPTCHA challenge handling.
- Added .gemspec and updated packaging process.
- Removed explicit require for RubyGems, see README.
- Fixed reports retrieval via curb HTTPI backend.
- Removed support for deprecated BulkOpportunityService.
0.5.0:
- Removed deprecated API versions (pre-v201109).
- Example updates and revamp.
0.4.5:
- Support for GZip compression.
- Support for returnMoneyInMicros header.
- Require google-ads-common 0.6.1 or later from now on.
0.4.4:
- Support for CreateAccountService.
- Require google-ads-common 0.6.0 or later from now on.
- Better input parameter validation and error reporting.
0.4.3:
- Added example for client-side cross-client reporting.
0.4.2:
- Updated Reporting error codes handling.
- Fix for old v13 services compatibility.
- Require google-ads-common 0.5.4 or later from now on.
0.4.1:
- Support for v201109.
- Added support and example for AdHoc reports.
- Removed deprecated TrafficEstimatorService (v13 only).
- Support for proxies.
- Units spent count and other headers information can now be obtained by
passing user block to a method call.
- Require google-ads-common 0.5.2 or later from now on.
0.4.0:
- First experimental Savon-based release.
- use_ruby_names is now deprecated and always true.
0.2.1:
- Changes for future OAuth support.
- Require google-ads-common 0.5.0 or later from now on.
0.2.0:
- Better support for UTF reports in download extensions.
- Require google-ads-common 0.4.0 or later from now on.
- Consolidated log output to single Logger, see README.
0.1.2:
- Support for cross-client MCC reports.
- Documented library use for DoubleClick Ad Exchange Buyer API.
- Require google-ads-common 0.2.1 or later from now on.
0.1.1:
- Added support for BulkOpportunityService and CampaignTargetService.
- Added examples for the above services.
- Bugfix: pointed gem to the correct Google Code project.
- Bugfix: correctly handle some API exceptions.
- Bugfix: remove non-existent method in extensions.
0.1.0:
- First release.
Jump to Line
Something went wrong with that request. Please try again.